Redmine - Patch #20507

ThemesHelper reopening ApplicationHelper is problem with autoloading

2015-08-11 01:58 - Ondfej Ezr

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Jean-Philippe Lang % Done:
Category: Code cleanup/refactoring Estimated time:
Target version: 3.2.0

Description

redmine/themes.rb defines ApplicationHelper, but it gets into problems, if there is a patch for it in plugin, which redefines

ApplicationHelper method. Rails do not load it - it is loaded, but does not have the method defined. It works only if patch is after a
controller invocation, because it load it by path and do not care if it is defined. But it bassically defines the model and avoiding Rails

autoloading.

Associated revisions

Revision 14511 - 2015-08-18 08:59 - Jean-Philippe Lang

ThemesHelper reopening ApplicationHelper is problem with autoloading (#20507).

Patch by Ondrej Ezr.

Revision 14520 - 2015-08-22 13:49 - Jean-Philippe Lang
Reverts r14510 (#20508) and r14511 (#20507), tests broken.

Revision 14695 - 2015-10-19 20:03 - Jean-Philippe Lang
Don't reopen ApplicationHelper (#20507).

History

#1 - 2015-08-18 08:59 - Jean-Philippe Lang
- Category set to Code cleanup/refactoring

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.2.0

Patch committed in r14511, thanks.

#2 - 2015-08-22 13:50 - Jean-Philippe Lang

- Status changed from Closed to Reopened

Tests broken, patch reverted:
http://www.redmine.org/builds/logs/build_trunk_postgresql_ruby-2.2_2567.html

#3 - 2015-10-19 20:04 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Files

themes_helper.patch 495 Bytes
